package com.ruoyi.framework.recovery.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

public class RecSaleInfoDto {

    /** 发售名称 */
    @Excel(name = "发售名称")
    private String saleName;

    /** 发售价格 */
    @Excel(name = "发售价格")
    private String salePrice;

    /** 市场价格 */
    @Excel(name = "市场价格")
    private String market;

    /** 门店id */
    @Excel(name = "门店id")
    private String storeId;

    @Excel(name = "货号")
    private String catalog;

    /**
     * 活动图片
     */
    private String images;

    /**
     * 活动时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date activityTime;

    /**
     * 活动持续时长
     */
    private Integer durationOfTheActivity;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    public void setSaleName(String saleName)
    {
        this.saleName = saleName;
    }

    public String getSaleName()
    {
        return saleName;
    }
    public void setSalePrice(String salePrice)
    {
        this.salePrice = salePrice;
    }

    public String getSalePrice()
    {
        return salePrice;
    }
    public void setMarket(String market)
    {
        this.market = market;
    }

    public String getMarket()
    {
        return market;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public void setCreateDate(Date createDate)
    {
        this.createDate = createDate;
    }

    public Date getCreateDate()
    {
        return createDate;
    }
    public void setUpdateDate(Date updateDate)
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate()
    {
        return updateDate;
    }

    public String getCatalog() {
        return catalog;
    }

    public void setCatalog(String catalog) {
        this.catalog = catalog;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public Date getActivityTime() {
        return activityTime;
    }

    public void setActivityTime(Date activityTime) {
        this.activityTime = activityTime;
    }

    public Integer getDurationOfTheActivity() {
        return durationOfTheActivity;
    }

    public void setDurationOfTheActivity(Integer durationOfTheActivity) {
        this.durationOfTheActivity = durationOfTheActivity;
    }

    @Override
    public String toString() {
        return "RecSaleInfoDto{" +
                "saleName='" + saleName + '\'' +
                ", salePrice='" + salePrice + '\'' +
                ", market='" + market + '\'' +
                ", storeId='" + storeId + '\'' +
                ", catalog='" + catalog + '\'' +
                ", images='" + images + '\'' +
                ", activityTime=" + activityTime +
                ", durationOfTheActivity='" + durationOfTheActivity + '\'' +
                ", createDate=" + createDate +
                ", updateDate=" + updateDate +
                '}';
    }
}
